alter table controle add typecontrole varchar2(24 char);
alter table controle add typepand varchar2(24 char);

alter table bestmaatregelrdam add controlenropheffing integer;
alter table bestmaatregelrdam add constraint bestmaatregelrdam_r_controph foreign key (controlenropheffing) references controle (controleid);

create table bedrijfznpandeigenaar (bedrijfnr integer not null, pandeigenaarnr integer not null);
alter table bedrijfznpandeigenaar add constraint bedrznpandeig_r_bedrijf foreign key (bedrijfnr) references bedrijf (bedrijfid);
alter table bedrijfznpandeigenaar add constraint bedrznpandeig_r_pandeig foreign key (pandeigenaarnr) references pandeigenaar (pandeigenaarid);

create table subpersoonsoort (subpersoonsoortid integer not null, beschrijving varchar2(40 char));
alter table subpersoonsoort add constraint pk_subpersoonsoort primary key (subpersoonsoortid);
create sequence gen_subpersoonsoortid start with 1 increment by 1 minvalue 0 nocache nocycle noorder;

alter table subpersoon add subpersoonsoortnr integer;
alter table subpersoon add constraint subpersoon_r_subpersoonsoort foreign key (subpersoonsoortnr) references subpersoonsoort (subpersoonsoortid);

create table subpersoonopadres (subpersoonnr integer not null, adresnr integer not null);
alter table subpersoonopadres add constraint subpersoonopadres_r_subpersoon foreign key (subpersoonnr) references subpersoon (subpersoonid);

/* mogelijkheid rol per zaak bij te houden voor a35 multiproc. nog niet geïmplementeerd */
alter table rolpersoon add zaaknr integer;

alter table proces modify (aanvraagnaam varchar2(80 char));
alter table bedrijf modify (aanvraagnaam varchar2(80 char));
alter table subpersoon modify (aanvraagnaam varchar2(80 char));

alter table bibobpers add bibobindicatie integer;
alter table bibobpers add zijdelings integer;
alter table bibobpers add opmerking varchar2(1024 char);
update bibobpers set zijdelings = 0;
update bibobpers set bibobindicatie = 2 where zaaknr in (select zaakid from zaak where produkttypenr = 19);
update bibobpers set bibobindicatie = 1 where zaaknr in (select zaakid from zaak where produkttypenr <> 19);
alter table bibobpers modify (bibobindicatie integer not null);
alter table bibobpers modify (zijdelings integer not null);

alter table subject add miscdd date;
alter table subject add misctxt varchar2(255 char);
alter table subject add miscnr integer;

insert into instelling (instellingid, naam, beschrijving, papaid, typewaarde, waarde) values (2840, 'advies_instanties_overslaan_evn', 'Als deze instelling op ja staat, dan wordt er geen kennisgeving aan adviesinstanties gestuurd.', 28, 'janee', 'nee');
insert into instelling (instellingid, naam, beschrijving, papaid, typewaarde, waarde) values (1607, 'controle_overslaan_vp_bb', 'Sla het bibob proces over bij het proces verkort pad leidinggevenden DHW', 16, 'janee', 'nee');
insert into instelling (instellingid, naam, beschrijving, papaid, typewaarde, waarde) values (249, 'melding_leidinggevenden_deels_verlenen', 'Wanneer op ja gezet, zal VIS proberen een melding bijschrijven leidinggevenden deels te verlenen', 2, 'janee', 'nee');

alter table lokaliteit ADD afwijkenventilatie INTEGER;
alter table lokaliteit ADD toelichtingventilatie VARCHAR2(1024 char);

alter table persoon add temptxt varchar2(255 char);

insert into edge(edgeid, procestypenr, code, startstepnr, endstepnr, deadline, vergunning, groep, dlmessage, condition) values (GEN_EDGEID.NEXTVAL, 1, 'dh13_12b1-1f', (select stepid from step where code  = 'dh13_12b1'), (select stepid from step where code  = 'dh13_1f'), 1, 1, 0, 'Ga verder', 'partieel');
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='dh13_12b1-1f'), 1);
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='dh13_12b1-1f'), 9);
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='dh13_12b1-1f'), 10);

/*** wijziging workflow vplg voor partiële verlening ***/
delete from edgewfrole where edgenr in (select edgeid from edge where code='dh13_12b1-1f');
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='dh13_12b1-1f'), 4);

/*** Workflow Opheffing maatregel (Intake-adviesprocedure) ***/
insert into step(stepid, procestypenr, code, description, model, workflow, cangoback) values (GEN_STEPID.NEXTVAL, 19, 'iabm2_0', 'Start Opheffing', 'iabs_stille_start_bb_bm', 'iabm2_wfl_opheffing.mdlwf', 0);
insert into step(stepid, procestypenr, code, description, model, workflow, cangoback) values (GEN_STEPID.NEXTVAL, 19, 'iabm2_1a', 'Start Opheffing', 'iabm2_1a_start_opheffing', 'iabm2_wfl_opheffing.mdlwf', 0);
insert into step(stepid, procestypenr, code, description, model, workflow, cangoback) values (GEN_STEPID.NEXTVAL, 19, 'iabm2_3b', 'Aanleiding(en) en beslissing(en) maatregel invoeren', 'iabm1_3b_beslissingen_maatregelen', 'iabm2_wfl_opheffing.mdlwf', 0);
insert into step(stepid, procestypenr, code, description, model, workflow, cangoback) values (GEN_STEPID.NEXTVAL, 19, 'iabm2_3a', 'Concepten', 'iabm1_3a_concepten', 'iabm2_wfl_opheffing.mdlwf', 0);
insert into step(stepid, procestypenr, code, description, model, workflow, cangoback) values (GEN_STEPID.NEXTVAL, 19, 'iabm2_3c', 'Inscannen getekend primair besluit', 'iabm1_3c_publicatie', 'iabm2_wfl_opheffing.mdlwf', 0);
insert into step(stepid, procestypenr, code, description, model, workflow, cangoback) values (GEN_STEPID.NEXTVAL, 19, 'iabm2_4a', 'Publicatie en sluiten dossier', 'iabm1_4a_afsluiten_dossier', 'iabm2_wfl_opheffing.mdlwf', 0);
insert into edge(edgeid, procestypenr, code, startstepnr, endstepnr, deadline, vergunning, groep, dlmessage, condition, copyproc) values (GEN_EDGEID.NEXTVAL, 19, 'edge_iabm2_0', 0, (select stepid from step where code = 'iabm2_0'), 1, 0, 1,' Opheffing maatregel (Intake-adviesprocedure)', '', 0);
insert into edge(edgeid, procestypenr, code, startstepnr, endstepnr, deadline, vergunning, groep, dlmessage, condition) values (GEN_EDGEID.NEXTVAL, 19, 'iabm2_0-1a', (select stepid from step where code  = 'iabm2_0'), (select stepid from step where code  = 'iabm2_1a'), 0, 0, 1, '', 'doorgaan');
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_0-1a'), 1);
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_0-1a'), 2);
insert into edge(edgeid, procestypenr, code, startstepnr, endstepnr, deadline, vergunning, groep, dlmessage, condition) values (GEN_EDGEID.NEXTVAL, 19, 'iabm2_1a-3a', (select stepid from step where code  = 'iabm2_1a'), (select stepid from step where code  = 'iabm2_3a'), 14, 0, 1, 'Ga door naar concepten', 'always');
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_1a-3a'), 1);
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_1a-3a'), 2);
insert into edge(edgeid, procestypenr, code, startstepnr, endstepnr, deadline, vergunning, groep, dlmessage, condition) values (GEN_EDGEID.NEXTVAL, 19, 'iabm2_3b-3c', (select stepid from step where code  = 'iabm2_3b'), (select stepid from step where code  = 'iabm2_3c'), 2, 0, 1, 'Ga door naar inscannen primair besluit', 'always');
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_3b-3c'), 1);
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_3b-3c'), 2);
insert into edge(edgeid, procestypenr, code, startstepnr, endstepnr, deadline, vergunning, groep, dlmessage, condition) values (GEN_EDGEID.NEXTVAL, 19, 'iabm2_3a-3b', (select stepid from step where code  = 'iabm2_3a'), (select stepid from step where code  = 'iabm2_3b'), 2, 0, 1, 'Ga door naar aanleidingen en beslissingen', 'always');
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_3a-3b'), 1);
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_3a-3b'), 2);
insert into edge(edgeid, procestypenr, code, startstepnr, endstepnr, deadline, vergunning, groep, dlmessage, condition) values (GEN_EDGEID.NEXTVAL, 19, 'iabm2_3c-4a', (select stepid from step where code  = 'iabm2_3c'), (select stepid from step where code  = 'iabm2_4a'), 0, 0, 1, 'Ga door met het afsluiten van het dossier', 'always');
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_3c-4a'), 1);
insert into edgestatelist(edgenr, statelistnr) values ((select edgeid from edge where code='iabm2_3c-4a'), 2);
delete from edgewfrole where edgenr in (select edgeid from edge where code='edge_iabm2_0');
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='edge_iabm2_0'), 1);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='edge_iabm2_0'), 2);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='edge_iabm2_0'), 3);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='edge_iabm2_0'), 4);
delete from edgewfrole where edgenr in (select edgeid from edge where code='iabm2_0-1a');
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_0-1a'), 1);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_0-1a'), 2);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_0-1a'), 3);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_0-1a'), 4);
delete from edgewfrole where edgenr in (select edgeid from edge where code='iabm2_3a-3b');
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3a-3b'), 1);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3a-3b'), 2);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3a-3b'), 3);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3a-3b'), 4);
delete from edgewfrole where edgenr in (select edgeid from edge where code='iabm2_1a-3a');
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_1a-3a'), 1);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_1a-3a'), 2);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_1a-3a'), 3);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_1a-3a'), 4);
delete from edgewfrole where edgenr in (select edgeid from edge where code='iabm2_3b-3c');
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3b-3c'), 2);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3b-3c'), 3);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3b-3c'), 4);
delete from edgewfrole where edgenr in (select edgeid from edge where code='iabm2_3c-4a');
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3c-4a'), 2);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3c-4a'), 3);
insert into edgewfrole(edgenr, wfrolenr) values ((select edgeid from edge where code='iabm2_3c-4a'), 4);
